> ## Documentation Index
> Fetch the complete documentation index at: https://apidocs.neetoform.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get email notification settings

> Get the settings of the email sent to your team (`admin`) or to the person who submitted (`respondent`).

> [!NOTE]
>
> Replace `{your-subdomain}` with your workspace’s subdomain. \
> Learn how to find your subdomain in [Workspace subdomain](https://apidocs.neetoform.com/api/workspace-subdomain.md).


## OpenAPI

````yaml bundled/form-settings.yaml GET /forms/{form_id}/email_notifications/{kind}
openapi: 3.0.3
info:
  title: NeetoForm Form Settings APIs
  version: 2.0.0
servers:
  - description: NeetoForm APIs
    url: https://{your-subdomain}.neetoform.com/api/external/v2
    variables:
      your-subdomain:
        default: spinkart
        description: >-
          Replace **spinkart** with your [workspace's
          subdomain](/api/workspace-subdomain).
security: []
paths:
  /forms/{form_id}/email_notifications/{kind}:
    get:
      tags:
        - Email Notifications
      summary: Get email notification settings
      description: >-
        Get the settings of the email sent to your team (`admin`) or to the
        person who submitted (`respondent`).
      parameters:
        - $ref: '#/components/parameters/api_key_header'
        - $ref: '#/components/parameters/form_id_param'
        - $ref: '#/components/parameters/email_notification_kind_param'
      responses:
        '200':
          description: OK - Request succeeded
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/email_notification_response'
        '404':
          description: >-
            Not Found - The form does not exist or `kind` is not `admin` or
            `respondent`
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/error_response'
              example:
                error: Form does not exist.
components:
  parameters:
    api_key_header:
      in: header
      name: X-Api-Key
      description: >-
        Use the X-Api-Key header to provide your workspace API key. Refer to
        [Authentication](/api/authentication) for more information.
      required: true
      schema:
        type: string
        default: your-api-key
    form_id_param:
      in: path
      name: form_id
      description: >-
        Unique ID of the form. Refer to [Getting the Form
        ID](/api/getting-form-id) for detailed instructions.
      required: true
      schema:
        type: string
    email_notification_kind_param:
      in: path
      name: kind
      description: >-
        Which email to read or change. `admin` is the email sent to your team
        after a submission. `respondent` is the email sent to the person who
        submitted the form.
      required: true
      schema:
        type: string
        enum:
          - admin
          - respondent
        example: admin
  schemas:
    email_notification_response:
      type: object
      properties:
        email_notification:
          $ref: '#/components/schemas/email_notification'
    error_response:
      type: object
      properties:
        error:
          type: string
    email_notification:
      type: object
      properties:
        kind:
          type: string
          enum:
            - admin
            - respondent
          example: admin
        is_enabled:
          type: boolean
          example: true
        subject:
          type: string
          example: New submission
        notify_emails:
          type: array
          items:
            type: string
            format: email
          example:
            - oliver@example.com
        notify_cc_emails:
          type: array
          items:
            type: string
            format: email
          example: []
        notify_bcc_emails:
          type: array
          items:
            type: string
            format: email
          example: []
        message:
          type: string
          example: <div>Someone submitted</div>
        reply_to_question_id:
          type: string
          nullable: true
          description: >-
            ID of the email question whose answer is used as the reply-to
            address.
        reply_to:
          type: string
          nullable: true
          description: A fixed reply-to email address.
        send_to_question_id:
          type: string
          nullable: true
          description: ID of the email question whose answer receives the respondent email.

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.